/*
  @description:立项采购-公用字典
  @Modifier:qk
  @routerPath:
  @date:2020-1-3 17:49
*/
/* api*/
/* 混合开发*/
import { queryProcurementEvaluationInitInfo } from '@/api/procurement/procurementProtdoc' // 采购立项的采购方式字典
import { queryProcurementEvaluationProcedureInitInfo } from '@/api/procurement/procurementEvaluation' // 评审步骤数据字典
export const procurementDocumentsGroupMixin = {
  data() {
    return {
      /* ============================== 采购文件-设置评标步骤=============================*/
      reviewTypeList: [], // 评审类型
      reviewOptionList: [], // 评审选项
      summarizingWayList: [], // 汇总方式
      flosWayList: [], // 分数统计方式
      scoreWayList: [] // 打分方式
    }
  },
  created() {
    this.inEvalStepCodes()
  },
  methods: {
    /* ==============================立项采购-接口回显==============================*/
    // 基本信息
    // 查询字典
    async inCodes() {
      const res = await queryProcurementEvaluationInitInfo()
      return res
      // this.lalal = res.data.protprojectPurchaseMode.typeList // 采购方式
      // this.supplierTypeList = res.data.protprojectTargetType.typeList // 标的类型
      // this.dialogData.projectClassificationType = res.data.projectClassificationType // 项目类型
    },
    // 查询步骤字典
    inEvalStepCodes() {
      queryProcurementEvaluationProcedureInitInfo().then(res => {
        this.scoreWayList = res.data.scoreWayList
        this.flosWayList = res.data.flosWayList
        this.summarizingWayList = res.data.summarizingWayList
        this.reviewOptionList = res.data.reviewOptionList
        this.reviewTypeList = res.data.reviewTypeList
      })
    }
  }
}
